
Redmine - Defect #7648

Git: Repository Statistics Incorrect

2011-02-18 07:43 - Spenser Gilliland

Status: New Start date: 2011-02-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.1

Description

I'm using a git repo with redmine and noticed that my very new repository is claiming to have over 5000 commits by me (I haven't

commited more than 4 times.)

A screen shot is attached.

My theory is something to do with non-sequential commit numbers in git.

I'm running the svn version of the stable1.1 branch.

Related issues:

Related to Redmine - Defect #5357: Git: SCM revisions ordered by date/time (s... New 2010-04-20

Related to Redmine - Defect #8049: Git: fetch_changesets not updating project... Closed 2011-04-02

Related to Redmine - Feature #2799: Support for Bazaar's shared reposetories ... New 2009-02-21

History

#1 - 2011-02-18 08:25 - Toshi MARUYAMA

Git has AuthorDate and CommitDate.

Please see #5357.

#2 - 2011-02-18 08:25 - Toshi MARUYAMA

- Subject changed from Repository Statistics Incorrect to Git: Repository Statistics Incorrect

Files

Screenshot-ultrasonic-dsp_-_Repository_-_Statistics_-_ECASP_Lab___Issue_tracking_and_project_management_-_Mozilla_Firefox.png88.8 KB 2011-02-18 Spenser Gilliland
